com.independentsoft.exchange

## Enum ConversationActionType

- java.lang.Object
- - java.lang.Enum<ConversationActionType>
  - - com.independentsoft.exchange.ConversationActionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConversationActionType>

      public enum ConversationActionType
      extends java.lang.Enum<ConversationActionType>

  Indicates which action will be performed on a conversation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS_CATEGORIZE` The current items and new items in the conversation will automatically be set with the categories identified in the Categories element.
    `ALWAYS_DELETE` The current items and new items in the conversation will automatically be deleted.
    `ALWAYS_MOVE` The current items and new items in the conversation will automatically be moved to the folder identified by the DestinationFolderId element.
    `COPY` The current items in the conversation will be copied to the folder identified by the DestinationFolderId element.
    `DELETE` The current items in the conversation will be deleted.
    `MOVE` The current items in the conversation will be moved to the folder identified by the DestinationFolderId element.
    `SET_READ_STATE` The current items in the conversation will have their read state set.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConversationActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConversationActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS_CATEGORIZE

          public static final ConversationActionType ALWAYS_CATEGORIZE

      The current items and new items in the conversation will automatically be set with the categories identified in the Categories element.

    - #### ALWAYS_DELETE

          public static final ConversationActionType ALWAYS_DELETE

      The current items and new items in the conversation will automatically be deleted. The deletion mode is set by the DeleteType element.

    - #### ALWAYS_MOVE

          public static final ConversationActionType ALWAYS_MOVE

      The current items and new items in the conversation will automatically be moved to the folder identified by the DestinationFolderId element.

    - #### DELETE

          public static final ConversationActionType DELETE

      The current items in the conversation will be deleted. Subsequent items in the conversation will not be deleted. The deletion mode is set by the DeleteType element.

    - #### MOVE

          public static final ConversationActionType MOVE

      The current items in the conversation will be moved to the folder identified by the DestinationFolderId element. Subsequent items in the conversation will not be moved.

    - #### COPY

          public static final ConversationActionType COPY

      The current items in the conversation will be copied to the folder identified by the DestinationFolderId element. Subsequent items in the conversation will not be copied.

    - #### SET_READ_STATE

          public static final ConversationActionType SET_READ_STATE

      The current items in the conversation will have their read state set. The read state is set by the IsRead element.

  - ### Method Detail

    - #### values

          public static ConversationActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversationActionType c : ConversationActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversationActionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null